//	BLTime.hh - system-independent time from epoch

#ifndef BLTIME_HH
#define BLTIME_HH

/**	BLTime - get time since epoch.
 * Entire class could be inline, but is not to prevent bad optimization.
 **/
class BLTime {
public:
	/// time() returns time in seconds since epoch (1970)
	static long time();

	/// timems() returns the time in milliseconds since epoch (1970)
	static long timems();

	/// sleepms() will sleep for a specified number of milliseconds.
	static void sleepms(int ms);
};

#endif // BLTIME_HH
