//	BLTime.cc

#include "BLTime.hh"

#ifdef __APPLE__
#include <unistd.h>
#include <sys/time.h>
#endif
#ifdef __linux
#include <unistd.h>
#include <time.h>
#include <sys/time.h>
#endif
#ifdef WIN32
#include <windows.h>
#include <time.h>
#undef max
#undef min
#endif

long BLTime::time() { return ::time(0); }

	/// timems() returns the time in milliseconds since epoch (1970)
long BLTime::timems() {
#ifndef WIN32
	struct timeval tv;
	gettimeofday(&tv,0);
	return tv.tv_sec*1000+tv.tv_usec/1000;
#else
/***
	struct _timeb timebuffer;
	_ftime( &timebuffer );
	return timebuffer.time*1000 + timebuffer.millitm;
***/
	return ::time(0)*1000;
#endif
}

	/// sleepms() will sleep for a specified number of milliseconds.
void BLTime::sleepms(int ms) {
#ifdef WIN32
	Sleep(ms);
#else
	usleep(ms*1000);
#endif
}
